SystemOrganization addCategory: #'MC2-Tests-Smalltalk'!

MDSliceTest subclass: #MDSmalltalkSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Smalltalk'!

MDSmalltalkSliceTest subclass: #MDSmalltalkExplicitSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Smalltalk'!

!MDSmalltalkExplicitSliceTest methodsFor: 'constucting' stamp: 'cwp 1/18/2010 22:12'!
createSlice
	^ MDExplicitSlice forTesting
		addElement: (MDClassElement className: #MDBogusA);
		addElement: (MDClassElement className: #MDSliceTest);
		addElement: (MDClassCommentElement className: #MDBogusA);
		addElement: (MDClassCommentElement className: #MDSliceTest);
		addElement: (MDMethodElement 
				className: #MDSliceTest
				selector: #classes);
		addElement: (MDMethodElement 
				className: #MDSliceTest
				selector: #methods);
		addElement: (MDMethodElement 
				className: #MDSliceTest
				selector: #bogusMethodA
				classIsMeta: true);
		addElement: (MDMethodElement 
				className: #MDSliceTest
				selector: #bogusMethodB
				classIsMeta: true);
		addElement: (MDInstVarElement 
				className: #MDBogusA
				name: 'one');
		addElement: (MDClassVarElement 
				className: #MDBogusA
				name: 'MDAlpha');
		addElement: (MDClassInstVarElement 
				className: #MDBogusA
				name: 'aleph');
		addElement: (MDPoolImportElement 
				className: #MDBogusA
				name: 'MDBogusPoolA');
		addElement: (MDPoolImportElement 
				className: #MDBogusA
				name: 'TextConstants');
		yourself! !

!MDSmalltalkSliceTest class methodsFor: 'as yet unclassified' stamp: 'cwp 6/5/2008 07:21'!
isAbstract
	^ self name = #MDSmalltalkSliceTest! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 12:51'!
testClassInstVarClasses
	self 
		assertAllOf: #(MDBogusA)
		butNoneOf: #(MDNonexistentClass)
		as: [:name | MDClassInstVarElement 
								className: name 
								name: #aleph]. 
		
! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/1/2008 23:03'!
testClassInstVars
	self 
		assertAllOf: #(aleph)
		butNoneOf: #(doesntexist)
		as: [:name | MDClassInstVarElement 
								className: #MDBogusA 
								name: name]. 
		
! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 12:54'!
testClassMethodClasses
	self 
		assertAllOf: #(MDSliceTest)
		butNoneOf: #(MDNonexistentClass)
		as: 
			[:name | 
			MDMethodElement 
				className: name
				selector: #bogusMethodA
				classIsMeta: true]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/1/2008 23:03'!
testClassMethods
	self 
		assertAllOf: #(#bogusMethodA #bogusMethodB )
		butNoneOf: #(#methodDoesntExist )
		as: 
			[:sel | 
			MDMethodElement 
				className: #MDSliceTest
				selector: sel
				classIsMeta: true]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 10/2/2008 20:22'!
testClassVarClasses
	self 
		assertAllOf: #(MDBogusA)
		butNoneOf: #(MDNonexistentClass)
		as: [:name | MDClassVarElement className: name name: #MDAlpha]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 10/2/2008 20:22'!
testClassVars
	self 
		assertAllOf: #('MDAlpha' )
		butNoneOf: #('DoesntExist' )
		as: [:name | MDClassVarElement className: #MDBogusA name: name]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 12:41'!
testClasses
	self 
		assertAllOf: #(#MDBogusA #MDSliceTest )
		butNoneOf: #(#MDNonexistentClass)
		as: [:name | MDClassElement className: name]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 12:54'!
testComments
	self 
		assertAllOf: #(#MDSliceTest )
		butNoneOf: #(#MDNonexistentClass)
		as: [:name | MDClassCommentElement className: name]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/1/2008 23:03'!
testIncludedComments
	self 
		assertAllOf: #(MDBogusA MDSliceTest)
		butNoneOf: #(Object)
		includedAs: [:name | MDClassCommentElement className: name]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 12:46'!
testInstVarClasses
	self 
		assertAllOf: #(MDBogusA)
		butNoneOf: #(MDNonexistentClass)
		as: [:name | MDInstVarElement className: name name: 'one']! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/1/2008 23:03'!
testInstVars
	self 
		assertAllOf: #('one' )
		butNoneOf: #('doesntexist' )
		as: [:name | MDInstVarElement className: #MDBogusA name: name]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 12:56'!
testMethodClasses
	self 
		assertAllOf: #(MDSliceTest)
		butNoneOf: #(MDNonexistentClass)
		as: [:name | MDMethodElement className: name selector: #classes]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/1/2008 23:03'!
testMethods
	self 
		assertAllOf: #(#classes #methods )
		butNoneOf: #(#methodDoesntExist )
		as: [:sel | MDMethodElement className: #MDSliceTest selector: sel]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 12:57'!
testPoolImportClasses
	self 
		assertAllOf: #(MDBogusA)
		butNoneOf: #(MDNonexistentClass)
		as: 
			[ :name | 
			MDPoolImportElement 
				className: name
				name: #MDBogusPoolA ]! !

!MDSmalltalkSliceTest methodsFor: 'tests' stamp: 'cwp 6/1/2008 23:04'!
testPoolImports
	self 
		assertAllOf: #(#MDBogusPoolA #TextConstants )
		butNoneOf: #(#PoolDoesntExist )
		as: 
			[ :name | 
			MDPoolImportElement 
				className: #MDBogusA
				name: name ]! !

MDSmalltalkSliceTest subclass: #MDSmalltalkUnionSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Smalltalk'!

!MDSmalltalkUnionSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/19/2008 18:56'!
createSlice
	^ MDUnionSlice 
		name: 'TestSlice'
		slices: {  (self createSliceA). (self createSliceB)  }! !

!MDSmalltalkUnionSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:13'!
createSliceA
	^ MDExplicitSlice forTesting
		addElement: (MDClassElement className: #MDBogusA);
		addElement: (MDClassElement className: #MDSliceTest);
		addElement: (MDClassCommentElement className: #MDBogusA);
		addElement: (MDClassCommentElement className: #MDSliceTest);
		addElement: (MDMethodElement className: #MDSliceTest selector: #classes);
		addElement: (MDMethodElement className: #MDSliceTest selector: #methods);
		addElement: (MDMethodElement 
						className: #MDSliceTest 
						selector: #bogusMethodA 
						classIsMeta: true);
		yourself! !

!MDSmalltalkUnionSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/2/2008 20:25'!
createSliceB
	^ (MDExplicitSlice named: 'TestSlice2')
		addElement: (MDMethodElement 
				className: #MDSliceTest
				selector: #bogusMethodB
				classIsMeta: true);
		addElement: (MDInstVarElement 
				className: #MDBogusA
				name: 'one');
		addElement: (MDClassVarElement 
				className: #MDBogusA
				name: 'MDAlpha');
		addElement: (MDClassInstVarElement 
				className: #MDBogusA
				name: 'aleph');
		addElement: (MDPoolImportElement 
				className: #MDBogusA
				name: 'MDBogusPoolA');
		addElement: (MDPoolImportElement 
				className: #MDBogusA
				name: 'TextConstants');
		yourself! !

!MDSmalltalkUnionSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/14/2008 16:55'!
testIntersectingSlices
	| a b |
	a := (MDExplicitSlice named: 'A')
		addElement: (MDFakeElement named: #x);
		yourself.
	b := (MDExplicitSlice named: 'B')
		addElement: (MDFakeElement named: #x);
		yourself.
	slice := MDUnionSlice 
		name: 'Intersection'
		slices: {  a. b  }.
	elements := Array streamContents: [ :stream | slice elementsDo: [ :ea | stream nextPut: ea ] ].
	self assert: elements size = 1.
	self assert: elements first name = #x! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:50'!
testClassCommentElement
	self 
		assert: (MDClassCommentElement className: #MDBogusA)
		serializesTo: #(1 5 9 10 14 9 8 77 68 66 111 103 117 115 65)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:50'!
testClassElement
	self 
		assert: (MDClassElement className: #MDBogusA)
		serializesTo: #(1 5 9 9 14 9 8 77 68 66 111 103 117 115 65)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:51'!
testClassInstVarElement
	self 
		assert: (MDClassInstVarElement 
				className: #MDBogusA
				name: 'beth')
		serializesTo: #(1 5 9 13 14 9 8 77 68 66 111 103 117 115 65 15 9 4 98 101 116 104)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:51'!
testClassMethodElement
	| element |
	element := MDMethodElement 
		className: #MDBogusA
		selector: #one
		classIsMeta: true.
	self 
		assert: element
		serializesTo: #(1 5 9 15 14 9 8 77 68 66 111 103 117 115 65 14 9 3 111 110 101 7)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 18:51'!
testClassVarElement
	self 
		assert: (MDClassVarElement className: #MDBogusA name: 'Alpha')
		serializesTo: #(1 5 9 12 14 9 8 77 68 66 111 103 117 115 65 15 9 5 65 108 112 104 97)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 19:06'!
testInstVarElement
	| element |
	element := MDInstVarElement className: #MDBogusA name: 'one'.
	self assert: element serializesTo: #(1 5 9 11 14 9 8 77 68 66 111 103 117 115 65 15 9 3 111 110 101)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 19:11'!
testMethodElement
	| element |
	element := MDMethodElement className: #MDBogusA selector: #one.
	self
		assert: element
		serializesTo: #(1 5 9 15 14 9 8 77 68 66 111 103 117 115 65 14 9 3 111 110 101 8)! !

!MDSerializationBytesTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 11/12/2008 19:33'!
testPoolImportElement
| element |
	element := MDPoolImportElement 
		className: #MDBogusA
		name: #MDBogusPoolA.
	self
		assert: element
		serializesTo: #(1 5 9 14 14 9 8 77 68 66 111 103 117 115 
					65 14 9 12 77 68 66 111 103 117 115 80 111 
					111 108 65)! !

!MDSerializationClassTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 1/19/2010 21:29'!
test09ClassElement
	self 
		assert: MDClassElement basicNew
		hasClassId: 9! !

!MDSerializationClassTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 1/19/2010 21:29'!
test10ClassCommentElement
	self 
		assert: MDClassCommentElement basicNew
		hasClassId: 10! !

!MDSerializationClassTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 1/19/2010 21:29'!
test11InstVarElement
	self 
		assert: MDInstVarElement basicNew
		hasClassId: 11! !

!MDSerializationClassTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 1/19/2010 21:30'!
test12ClassVarElement
	self 
		assert: MDClassVarElement basicNew
		hasClassId: 12! !

!MDSerializationClassTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 1/19/2010 21:30'!
test13ClassInstVarElement
	self 
		assert: MDClassInstVarElement basicNew
		hasClassId: 13! !

!MDSerializationClassTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 1/19/2010 21:30'!
test14PoolImportElement
	self 
		assert: MDPoolImportElement basicNew
		hasClassId: 14! !

!MDSerializationClassTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 1/19/2010 21:30'!
test15MethodElement
	self 
		assert: MDMethodElement basicNew
		hasClassId: 15! !

MDAdaptionTest subclass: #MDSmalltalkAdaptionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Smalltalk'!

MDSmalltalkAdaptionTest subclass: #MDFakeAdaptionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Smalltalk'!

!MDFakeAdaptionTest methodsFor: 'converting' stamp: 'cwp 7/20/2010 09:17'!
facadeClass
	^ MDFakeFacade! !

!MDSmalltalkAdaptionTest class methodsFor: 'as yet unclassified' stamp: 'cwp 9/12/2009 22:42'!
isAbstract
	^ self name = #MDSmalltalkAdaptionTest! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:32'!
testClassComment
	self tryAdapting: (MDClassCommentElement className: #MDBogusA)! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:32'!
testClassElement
	self tryAdapting: (MDClassElement className: #MDBogusA)! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:32'!
testClassInstVarElement
	self tryAdapting: (MDClassInstVarElement className: #MDBogusA name: 'beth')! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:32'!
testClassVarElement
	self tryAdapting: (MDClassVarElement className: #MDBogusA name: 'Beta')! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:33'!
testInstVarElement
	self tryAdapting: (MDInstVarElement className: #MDBogusA name: 'one')! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:33'!
testMethodElement
	self tryAdapting: (MDMethodElement className: #MDBogusA selector: #method1)! !

!MDSmalltalkAdaptionTest methodsFor: 'tests' stamp: 'cwp 9/12/2009 22:33'!
testPoolImportElement
	self tryAdapting: (MDPoolImportElement 
			className: #MDBogusA
			name: #MDBogusPoolB)! !

TestCase subclass: #MDStElementDisplayTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Smalltalk'!

!MDStElementDisplayTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2008 21:53'!
testClass
	| element string |
	element := MDClassElement className: #MDBogusA.
	string := element printString.
	self assert: string = 'MDBogusA'! !

!MDStElementDisplayTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2008 21:54'!
testClassComment
	| element string |
	element := MDClassCommentElement className: #MDBogusA.
	string := element printString.
	self assert: string = 'MDBogusA comment'! !

!MDStElementDisplayTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2008 21:47'!
testClassInstVar
	| element string |
	element := MDClassInstVarElement 
		className: #MDBogusA
		name: 'one'.
	string := element printString.
	self assert: string = 'MDBogusA: class instance variable ''one'''! !

!MDStElementDisplayTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2008 22:00'!
testClassMethod
	| element string |
	element := MDMethodElement className: #MDBogusA selector: #one classIsMeta: true.
	string := element printString.
	self assert: string = 'MDBogusA class>>one'! !

!MDStElementDisplayTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2008 21:44'!
testClassVar
	| element string |
	element := MDClassVarElement 
		className: #MDBogusA
		name: 'MDAlpha'.
	string := element printString.
	self assert: string = 'MDBogusA: class variable ''MDAlpha'''! !

!MDStElementDisplayTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2008 21:46'!
testInstVar
	| element string |
	element := MDInstVarElement 
		className: #MDBogusA
		name: 'one'.
	string := element printString.
	self assert: string = 'MDBogusA: instance variable ''one'''! !

!MDStElementDisplayTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2008 21:56'!
testMethod
	| element string |
	element := MDMethodElement className: #MDBogusA selector: #one.
	string := element printString.
	self assert: string = 'MDBogusA>>one'! !

!MDStElementDisplayTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2008 21:49'!
testPoolImport
	| element string |
	element := MDPoolImportElement
		className: #MDBogusA
		name: 'one'.
	string := element printString.
	self assert: string = 'MDBogusA: pool import ''one'''! !

!MDSerializationTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 3/7/2005 16:20'!
testClassCommentElement
	self assertEqualityOf: (MDClassCommentElement className: #MDBogusA)! !

!MDSerializationTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 3/7/2005 16:20'!
testClassElement
	self assertEqualityOf: (MDClassElement className: #MDBogusA)! !

!MDSerializationTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 3/7/2005 16:22'!
testClassInstVarElement
	self assertEqualityOf: (MDClassInstVarElement className: #MDBogusA name: 'beth')! !

!MDSerializationTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 3/9/2005 21:45'!
testClassMethodElement
	self assertEqualityOf: (MDMethodElement 
							className: #MDBogusA 
							selector: #one 
							classIsMeta: true)! !

!MDSerializationTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 3/7/2005 16:21'!
testClassVarElement
	self assertEqualityOf: (MDClassVarElement className: #MDBogusA name: 'Alpha')! !

!MDSerializationTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 3/7/2005 16:21'!
testInstVarElement
	self assertEqualityOf: (MDInstVarElement className: #MDBogusA name: 'one')! !

!MDSerializationTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 3/7/2005 16:23'!
testMethodElement
	self assertEqualityOf: (MDMethodElement className: #MDBogusA selector: #one)! !

!MDSerializationTest methodsFor: '*mc2-tests-smalltalk' stamp: 'cwp 4/28/2008 22:04'!
testPoolImportElement
	self assertEqualityOf: (MDPoolImportElement 
			className: #MDBogusA
			name: #MDBogusPoolA)! !
